DB->get_re_delim()
Prev | Chapter 2. The DB Handle | Next

## DB->get_re_delim()

    #include <db.h>

    int
    DB->get_re_delim(DB *db, int *delimp);

The `DB->get_re_delim()` method returns the delimiting byte, which is used to mark the end of a record in the backing source file for the Recno access method. This value is set using the DB->set_re_delim() method.

The `DB->get_re_delim()` method may be called only after the database has been opened.

The `DB->get_re_delim()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### delimp

The `DB->get_re_delim()` method returns the delimiting byte in delimp. If this method is called on a handle that has not yet been opened, then the default delimiting byte is returned. See DB->set_re_delim() for details.

### Class

DB

### See Also

Database and Related Methods, DB->set_re_delim()

Prev | Up | Next
DB->get_q_extentsize() | Home | DB->get_re_len()